[Snort-devel] [ snort-Bugs-411408 ] --prefix=/local fails

noreply at ...12... noreply at ...12...
Thu Sep 27 23:44:05 EDT 2001


Bugs item #411408, was opened at 2001-03-26 09:18
You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=103357&aid=411408&group_id=3357

Category: None
Group: None
>Status: Closed
>Resolution: Accepted
>Priority: 1
Submitted By: Nobody/Anonymous (nobody)
>Assigned to: Martin Roesch (roesch)
Summary: --prefix=/local fails

Initial Comment:
I built snort-1.7-beta8 for solaris with
--prefix=/local

Then I typed make, and it reported
---
WARNING: `autoconf' is missing on your system.  You
should only need it if
         you modified `configure.in'.  You might want
to install the
         `Autoconf' and `GNU m4' packages.  Grab them
from any GNU
         archive site.
---
even though I have /local/bin/automake
Second problem:  the compile flags were 
---
gcc -DHAVE_CONFIG_H -I. -I. -I.   -DBSD_COMP  -g -O2
-Wall -c snort.c
---
Which failed because it never found my copies of the
include files.

FIX:
This patch seems to work

*** configure.orig	Mon Mar 26 12:09:41 2001
--- configure	Mon Mar 26 12:12:17 2001
***************
*** 2329,2334 ****
--- 2329,2335 ----
    with_libpcap_libraries=no
  fi
  
+ CPPFLAGS="${CPPFLAGS} -I${prefix}/include"
  
  if test "$with_libpcap_includes" != "no"; then
     CPPFLAGS="${CPPFLAGS} -I${with_libpcap_includes}"







----------------------------------------------------------------------

>Comment By: Martin Roesch (roesch)
Date: 2001-09-27 23:39

Message:
Logged In: YES 
user_id=18573

Upgrade to 1.8.1 please.

----------------------------------------------------------------------

You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=103357&aid=411408&group_id=3357




More information about the Snort-devel mailing list